Subject: bug#78987: closed (Re: bug#78987: 30.1; Unable to create new Git repository in Dired mode)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 12 Jul 2025 10:36:02 +0000

Your bug report

#78987: 30.1; Unable to create new Git repository in Dired mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78987: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78987
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78987: 30.1; Unable to create new Git repository in Dired mode
From: Sean Whitton <[email-masked]>
To: Stephen Berman <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 12 Jul 2025 11:35:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On Sat 12 Jul 2025 at 11:07am +02, Stephen Berman via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:

> This seems to say that the code path using ALLOW-UNREGISTERED bypasses
> the code path using Dired.  Anyway, I'm sure you understand the VC
> better than I do, so you should make the change you think is required.

I had another look, and I think you're right.  ALLOW-UNREGISTERED is not
relevant here.  I've installed your patch -- thanks!

-- 
Sean Whitton

Subject: 30.1; Unable to create new Git repository in Dired mode
From: "Zipei Lu" <[email-masked]>
To: "bug-gnu-emacs" <[email-masked]>
Date: Thu, 10 Jul 2025 03:37:40 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Here are the steps to reproduce the bug:
1. 'C-x d' to arbitrary directory without any version control repository.
2. Mark arbitrary number of files with 'm'.
3. Type 'C-x v v'.

Then the mini buffer will display:

No VC backend is responsible for c:/my/directory/

According to GNU Emacs manual 30.1.3.1, 'C-x v v' is expected to create
a new repository in the directory. However, 'C-x v v' can still be able to create
new repository in the buffer of  a file(Not in the buffer of directory).

Zipei Lu
[email-masked]